package de.dser.pr.presentations.easymock.recipes;

import de.dser.pr.presentations.easymock.Condition;

import java.util.Calendar;

public class WeekendCondition implements Condition {
    public boolean isConditionMet() {
        Calendar today = Calendar.getInstance();
        return today.get(Calendar.DAY_OF_WEEK) == Calendar.FRIDAY && today.get(Calendar.HOUR_OF_DAY) >= 13;
    }
}
