package de.dser.pr.presentations.easymock.recipes;

import org.easymock.EasyMock;
import org.junit.Test;

import static org.junit.Assert.assertTrue;

public class ClassMockingTest {
	@Test
	public void testClassMocking() throws Exception {
		WeekendCondition condition = EasyMock.createMock(WeekendCondition.class);
		EasyMock.expect(condition.isConditionMet()).andReturn(true);

		EasyMock.replay(condition);
		assertTrue(condition.isConditionMet());
		EasyMock.verify(condition);
	}
}
